MKTEMP(3)

NAME
mktemp - make a unique temporary file name

SYNOPSIS
#include <unistd.h>

char *mktemp(char *template);

DESCRIPTION
The mktemp() function generates a unique temporary file name from template. The last six characters of template must be XXXXXX and these are replaced with a string that makes the filename unique.

RETURN VALUE
The mktemp() function returns a pointer to template on success, and NULL on failure.

ERRORS

EINVAL
    The last six characters of template were not XXXXXX.

CONFORMING TO
SVID 3, POSIX, BSD 4.3

SEE ALSO
mkstemp(3), tmpnam(3), tempnam(3), tmpfile(3)